/* -------------------------------------------------- */
/* Title:               instdir.cmd                   */
/*                                                    */
/* Author:              J.Cobb                        */
/*                                                    */
/* Change History:      23/01/1998 - Created JAC      */
/*                                                    */
/* Function:            Sets the install dir default. */
/* -------------------------------------------------- */


Parse arg featurehandle prodini path_key 

/* Query the FI functions */
if RxFuncQuery(RexxInstSetVariable) <> 0 then
   if RxFuncAdd(RexxInstSetVariable,WPINSTAL,RexxInstSetVariable) <> 0 then Exit

if RxFuncQuery(Sysloadfuncs) <> 0 then
   if RxFuncAdd(Sysloadfuncs,REXXUTIL,Sysloadfuncs) <> 0 then Exit
Call SysloadFuncs

/* First We query OS2.ini file to see if psns is already installed  */
/* If it is we set the FI variables so that it defaults to install over it */

path=Sysini('USER',prodini,path_key)
if path = 'ERROR:' then Exit

parse var path drive ':' rest
rc = RexxInstSetVariable(featurehandle,'InstalledDir',rest)

Exit

